Create deal
curl --request POST \
--url https://api.clientcommander.com/v1/deals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "123 Main St - Purchase",
"pipelineId": "k97pipe123",
"stageId": "k97stage456",
"peopleIds": [
"jd79person123"
],
"pricing": 450000,
"closeDate": "2023-12-31T00:00:00Z"
}
'import requests
url = "https://api.clientcommander.com/v1/deals"
payload = {
"title": "123 Main St - Purchase",
"pipelineId": "k97pipe123",
"stageId": "k97stage456",
"peopleIds": ["jd79person123"],
"pricing": 450000,
"closeDate": "2023-12-31T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '123 Main St - Purchase',
pipelineId: 'k97pipe123',
stageId: 'k97stage456',
peopleIds: ['jd79person123'],
pricing: 450000,
closeDate: '2023-12-31T00:00:00Z'
})
};
fetch('https://api.clientcommander.com/v1/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"version": "1.0.0"
},
"data": {
"id": "<string>"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed",
"details": [
{
"field": "email",
"message": "Must be a valid email address",
"code": "INVALID_FORMAT"
},
{
"field": "phone",
"message": "Phone number is required",
"code": "REQUIRED_FIELD"
}
],
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}Deals
Create Deal
Create a new deal in a pipeline.
POST
/
v1
/
deals
Create deal
Authorizations
API key for authentication using Bearer token scheme.
How to get your API key:
- Log into Client Commander
- Go to Admin > API Keys
- Click Create API Key
- Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here
Body
application/json
⌘I

